# $Revision: 1.11 $, $Date: 2010/06/06 08:30:08 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_with	unicode	# use Unicode version of wxGTK2
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Alien
%define		pnam	wxWidgets
Summary:	Alien::wxWidgets - building, finding and using wxWidgets binaries
Summary(pl.UTF-8):	Alien::wxWidgets - budowanie, znajdowanie i wykorzystywanie binariów wxWidgets
Name:		perl-Alien-wxWidgets
Version:	0.45
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Alien/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	09b699b0b4804ccfee1ab0e4673e7668
Patch0:		%{name}-nobuild.patch
URL:		http://search.cpan.org/dist/Alien-wxWidgets/
BuildRequires:	perl-Module-Build >= 0.2611-1
BuildRequires:	perl-Module-Pluggable >= 3.1-4
BuildRequires:	perl-ExtUtils-CBuilder >= 0.24
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	wxGTK2-%{?with_unicode:unicode-}devel >= 2.6.3
BuildRequires:	wxGTK2-%{?with_unicode:unicode-}gl-devel >= 2.6.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alien::wxWidgets allows wxPerl to easily find information about your
wxWidgets installation. It can store this information for multiple
wxWidgets versions or configurations (debug, Unicode, etc.). It can
also build and install a private copy of wxWidgets as part of the
build process.

%description -l pl.UTF-8
Alien::wxWidgets pozwala wxPerlowi łatwo uzyskać informacje na temat
instalacji wxWidgets. Może przechowywać informacje o wielu wersjach
lub konfiguracjach (debug, Unicode, itp.). Może także zbudować i
zainstalować prywatną kopię wxWidgets jako część procesu budowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
WX_CONFIG=wx-gtk2-%{?with_unicode:unicode}%{!?with_unicode:ansi}-config
export WX_CONFIG
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/Alien
%{perl_vendorarch}/Alien/*.pm
%dir %{perl_vendorarch}/Alien/wxWidgets
%{perl_vendorarch}/Alien/wxWidgets/*.pm
%dir %{perl_vendorarch}/auto/Alien
%dir %{perl_vendorarch}/auto/Alien/wxWidgets
%{perl_vendorarch}/Alien/wxWidgets/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Alien-wxWidgets.spec,v $
Revision 1.11  2010/06/06 08:30:08  arekm
- release 2

Revision 1.10  2009/10/26 14:40:51  amateja
- updated to 0.45

Revision 1.9  2009/10/16 10:28:08  amateja
- updated to 0.44

Revision 1.8  2009/06/15 08:23:33  amateja
- updated to 0.43
- added BR perl-ExtUtils-CBuilder >= 0.24

Revision 1.7  2008/01/10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.6  2007-02-12 22:09:10  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.4  2006/11/06 22:34:51  ankry
- tabs

Revision 1.3  2006/11/06 19:51:27  qboosh
- pl, URL

Revision 1.2  2006/10/21 20:03:42  prism
- rel down to indicate that it's not ready yet

Revision 1.1  2006/10/21 20:01:46  prism
- saving work, not working yet, help needed
